Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 06 Sep 2021 10:25:11 +0200

Juri Linkov <[email-masked]> writes:

>> Then it would be only on `B c' in vc-dir-mode?  `C-x v s' isn't very
>> mnemonic, but would removing it from global map inconvenience people?
>> (I've never used it myself.)
>
> Indeed, it seems there is no way to remove old keybindings, especially
> by rebinding them to other commands, so I propose to add new keybindings:

We do remove old keybindings if we think that makes sense.  Like I said,
I've never used that command myself, ever, so I was wondering whether
that was generally the case.  If we believe that it's a rarely used
binding, then we could indeed remove it (or use it for something else).

(Especially since it seems quite un-mnemonic currently.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no